%define	name	bzflag
%define version 2.4.2
%define release %mkrel 1
%define	Summary	A multiplayer 3D tank battle game
%define libname %mklibname %{name} 2

Name:		%{name}
Summary:	%{Summary}
Summary(de):	Eine 3D Panzerschlacht für mehrere Spieler
Version:	%{version}
Release:	%{release}
Source0:	http://download.sourceforge.net/bzflag/%{name}-%{version}.tar.xz
Patch0: 	bzflag-2.0.4-lookup.patch
Source11:	%{name}.16.png
Source12:	%{name}.32.png
Source13:	%{name}.48.png
URL:		http://BZFlag.SourceForge.net/
License:	LGPLv2
Group:		Games/Arcade
BuildRequires:	mesa-common-devel 
BuildRequires:	X11-devel 
BuildRequires:	curl-devel 
BuildRequires:	zlib-devel
BuildRequires:	SDL-devel 
BuildRequires:	SDL_image-devel
BuildConflicts:	freetds-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: 	glibc >= 2.10.1
Requires: 	libstdc++6 >= 4.4.1
BuildRequires:	%{_lib}slang-devel

%description
BZFlag is a multiplayer 3D tank battle game. It's one of the most popular games
ever on Silicon Graphics systems.

%description -l de
BZFlag ist ein 3D Panzerschlachtspiel. Es ist eines der bekanntesten Spiele auf
dem Silicon Grafik System.

%prep
%setup -q
%patch0 -p1 -b .lookup

%build
autoreconf -fis
%configure2_5x --bindir=%{_gamesbindir} --datadir=%{_gamesdatadir} --enable-robots
%make CXXFLAGS="$RPM_OPT_FLAGS -O1 -ffast-math -fsigned-char"

%install
rm -rf %{buildroot}
%{makeinstall_std}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=BZflag
Comment=A multiplayer 3D tank battle game
Comment[de]=Ein 3D Panzerspiel für mehrere Spieler
Exec=%{_gamesbindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Games-Arcade;Game;ArcadeGame;
EOF

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README BUGS
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_mandir}/*/*
%{_datadir}/applications/%{name}.desktop
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_libdir}/*


%changelog
* Sun Feb 03 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 2.4.2-1pclos2013
- 2.4.2

* Mon Feb 20 2012 Neal <nealbrks0 at gmail dot com> 2.4.0-1pclos2012
- process

* Mon Feb 20 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 2.4.0-1pclos2012
- 2.4.0
- added german summary, description, comment in desktop file section
- added %{_lib} makro for 64bit

* Fri Sep 10 2010 Texstar <texstar at gmail.com> 2.0.16-2pclos2010
- rebuild ldap

* Mon Apr 26 2010 Texstar <texstar at gmail.com> 2.0.16-1pclos2010
- 2.0.16

* Fri Jan 22 2010 Texstar <texstar at gmail.com> 2.0.12-7pclos2010
- rebuild

* Fri Jan 08 2010 Texstar <texstar at gmail.com> 2.0.12-6pclos2010
- rebuild

* Tue Nov 03 2009 Texstar <texstar at gmail.com> 2.0.12-5pclos2010
- back out libslang

* Sat Oct 31 2009 Texstar <texstar at gmail.com> 2.0.12-4pclos2010
- gcc update & libslang2


